import { requestClient } from '#/api/request';

const prefix = 'clinic-salesperson-self/';

export async function getSelfMyInfoApi() {
  return requestClient.get<any>(`${prefix}my-info`);
}

export async function getSelfCommissionListApi(params: Record<string, any>) {
  return requestClient.get<any>(`${prefix}commission-list`, { params });
}

export async function getSelfSettlementListApi(params: Record<string, any>) {
  return requestClient.get<any>(`${prefix}settlement-list`, { params });
}

export async function getSelfSettlementDetailApi(params: { id: number }) {
  return requestClient.get<any>(`${prefix}settlement-detail`, { params });
}

export async function getSelfUserBindListApi(params: Record<string, any>) {
  return requestClient.get<any>(`${prefix}user-bind-list`, { params });
}
